## org.eclipse.ocl.cst
Interface OCLMessageArgCS

All Superinterfaces:
  CSTNode, EObject, Notifier

All Known Implementing Classes:
  OCLMessageArgCSImpl

    public interface OCLMessageArgCS

extends CSTNode

A representation of the model object 'OCL Message Arg CS'.

The following features are supported:

- `Type CS`
- `Expression`

See Also:
  `CSTPackage.getOCLMessageArgCS()`

Method Summary
`OCLExpressionCS` `getExpression()` Returns the value of the 'Expression' containment reference
`TypeCS` `getTypeCS()` Returns the value of the 'Type CS' containment reference
`void` `setExpression(OCLExpressionCS value)` Sets the value of the '`Expression`' containment reference
`void` `setTypeCS(TypeCS value)` Sets the value of the '`Type CS`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTypeCS

    TypeCS getTypeCS()

  Returns the value of the 'Type CS' containment reference.

  If the meaning of the 'Type CS' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type CS' containment reference.
  See Also:
    `setTypeCS(TypeCS)`, `CSTPackage.getOCLMessageArgCS_TypeCS()`

### setTypeCS

    void setTypeCS(TypeCS value)

  Sets the value of the '`Type CS`' containment reference.

  Parameters:
    `value` - the new value of the 'Type CS' containment reference.
  See Also:
    `getTypeCS()`

### getExpression

    OCLExpressionCS getExpression()

  Returns the value of the 'Expression' containment reference.

  If the meaning of the 'Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression' containment reference.
  See Also:
    `setExpression(OCLExpressionCS)`, `CSTPackage.getOCLMessageArgCS_Expression()`

### setExpression

    void setExpression(OCLExpressionCS value)

  Sets the value of the '`Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression' containment reference.
  See Also:
    `getExpression()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.